# REST Resource: regionHealthCheckServices

- [Resource: HealthCheckService](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthCheckServices#HealthCheckService)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthCheckServices#HealthCheckService.SCHEMA_REPRESENTATION)
- [Methods](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthCheckServices#METHODS_SUMMARY)

## Resource: HealthCheckService

Represents a Health-Check as a Service resource.

| JSON representation |
|---|
| ``` { "kind": string, "id": string, "creationTimestamp": string, "selfLink": string, "name": string, "description": string, "region": string, "healthStatusAggregationStrategy": enum, "healthStatusAggregationPolicy": enum, "healthChecks": [ string ], "networkEndpointGroups": [ string ], "notificationEndpoints": [ string ], "fingerprint": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. Type of the resource. Always `compute#healthCheckService`for health check services. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource. This identifier is defined by the server. |
| `creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `name` | `string` Name of the resource. The name must be 1-63 characters long, and comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt). Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. |
| `description` | `string` An optional description of this resource. Provide this property when you create the resource. |
| `region` | `string` Output only. URL of the region where the health check service resides. This field is not applicable to global health check services. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body. |
| `healthStatusAggregationStrategy (deprecated)` | `enum` > [!WARNING] > This item is deprecated! This field is deprecated. Use healthStatusAggregationPolicy instead. Policy for how the results from multiple health checks for the same endpoint are aggregated. - `NO_AGGREGATION`. An `EndpointHealth` message is returned for each backend in the health check service. - `AND`. If any backend's health check reports `UNHEALTHY`, then `UNHEALTHY` is the `HealthState` of the entire health check service. If all backend's are healthy, the `HealthState` of the health check service is `HEALTHY`. . <br /> |
| `healthStatusAggregationPolicy` | `enum` Optional. Policy for how the results from multiple health checks for the same endpoint are aggregated. Defaults to NO_AGGREGATION if unspecified. - `NO_AGGREGATION`. An `EndpointHealth` message is returned for each \<endpoint, health check\> pair in the health check service. - `AND`. If any health check of an endpoint reports `UNHEALTHY`, then `UNHEALTHY` is the `HealthState` of the endpoint. If all health checks report `HEALTHY`, the `HealthState` of the endpoint is `HEALTHY`. . This is only allowed with regional `HealthCheckService`. <br /> |
| `healthChecks[]` | `string` A list of URLs to the `HealthCheck` resources. Must have at least one `HealthCheck`, and not more than 10 for regional `HealthCheckService`, and not more than 1 for global `HealthCheckService`. `HealthCheck` resources must have `portSpecification`=`USE_SERVING_PORT` or `portSpecification`=`USE_FIXED_PORT`. For regional `HealthCheckService`, the `HealthCheck` must be regional and in the same region. For global `HealthCheckService`, `HealthCheck` must be global. Mix of regional and global `HealthChecks` is not supported. Multiple regional `HealthChecks` must belong to the same region. Regional `HealthChecks` must belong to the same region as zones of `NetworkEndpointGroups`. For global `HealthCheckService` using global `INTERNET_IP_PORT` `NetworkEndpointGroups`, the global `HealthChecks` must specify `sourceRegions`, and `HealthChecks` that specify `sourceRegions` can only be used with global `INTERNET_IP_PORT` `NetworkEndpointGroups`. |
| `networkEndpointGroups[]` | `string` A list of URLs to the `NetworkEndpointGroup` resources. Must not have more than 100. For regional `HealthCheckService`, `NEG`s must be in zones in the region of the `HealthCheckService`. For global `HealthCheckServices`, the `NetworkEndpointGroups` must be global `INTERNET_IP_PORT`. |
| `notificationEndpoints[]` | `string` A list of URLs to the `NotificationEndpoint` resources. Must not have more than 10. A list of endpoints for receiving notifications of change in health status. For regional `HealthCheckService`, `NotificationEndpoint` must be regional and in the same region. For global `HealthCheckService`, `NotificationEndpoint` must be global. |
| `fingerprint` | `string (https://developers.google.com/discovery/v1/type-format format)` Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a `HealthCheckService`. An up-to-date fingerprint must be provided in order to patch/update the HealthCheckService; Otherwise, the request will fail with error `412 conditionNotMet`. To see the latest fingerprint, make a `get()` request to retrieve the HealthCheckService. A base64-encoded string. |

| ## Methods ||
|---|---|
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthCheckServices/aggregatedList` | Retrieves the list of all `HealthCheckService` resources, regional and global, available to the specified project. |
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthCheckServices/delete` | Deletes the specified regional HealthCheckService. |
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthCheckServices/get` | Returns the specified regional `HealthCheckService` resource. |
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthCheckServices/insert` | Creates a regional `HealthCheckService` resource in the specified project and region using the data included in the request. |
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthCheckServices/list` | Lists all the `HealthCheckService` resources that have been configured for the specified project in the given region. |
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthCheckServices/patch` | Updates the specified regional `HealthCheckService` resource with the data included in the request. |
| ### `https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthCheckServices/testIamPermissions` | Returns permissions that a caller has on the specified resource. |